Skip to main content
POST
Verify webhook signature

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Body

application/json

A verify webhook signature request.

auth_algo
string
required

The algorithm that PayPal uses to generate the signature and that you can use to verify the signature. Extract this value from the PAYPAL-AUTH-ALGO response header, which is received with the webhook notification.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9]+$
cert_url
string<uri>
required

The X.509 public key certificate. Download the certificate from this URL and use it to verify the signature. Extract this value from the PAYPAL-CERT-URL response header, which is received with the webhook notification.

Maximum string length: 500
transmission_id
string
required

The ID of the HTTP transmission. Contained in the PAYPAL-TRANSMISSION-ID header of the notification message.

Maximum string length: 50
Pattern: ^(?!\d+$)\w+\S+
transmission_sig
string
required

The PayPal-generated asymmetric signature. Appears in the PAYPAL-TRANSMISSION-SIG header of the notification message.

Maximum string length: 500
Pattern: ^(?!\d+$)\w+\S+
transmission_time
string<date-time>
required

The date and time of the HTTP transmission, in Internet date and time format. Appears in the PAYPAL-TRANSMISSION-TIME header of the notification message.

Maximum string length: 100
webhook_id
string
required

The ID of the webhook as configured in your Developer Portal account.

Maximum string length: 50
Pattern: ^[a-zA-Z0-9]+$
webhook_event
Event · object
required

A webhook event notification.

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows the verification status.

The verify webhook signature response.

verification_status
enum<string>
required

The status of the signature verification.

Available options:
SUCCESS,
FAILURE